interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54570 characters]
        AwQRyaI+0QMA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36603']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:13 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjkh6r.2.1505364133000.Z0FBQUFBQlp1Z2lsczhmRVZSRDlZZXVNVEl5VjNDLV9MQkxYd2ZONUpUU2xfc2I0ZXN2d242bnZSTHJtaGtOQnFnX05tTW5tWUtqOUZlRWJfYVR4X2U3OVQ2VmI1OG1lOFVYUjVtTHZXSW5HRU51cHNhT2lIanV2dUdrOHNYS08wblE3QnluenBFTHI;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:42:13
          GMT; secure', 'session_tracker=F5zEsH1wwnTo7reIJF.0.1505364132997.Z0FBQUFBQlp1Z2lsWFFGT1A5aXpQVlJyRmR5dExtakFDX3BhVUdRVVJIVDNGUkRRdGhPdkpZT0xIcHdoTldPT1A5cDFEOW1rc0ZOQm0yaVdsZUdFdEhsQXhlQTZ6cE9zTkxYYUVDQldDOUhkaWFYTTQzakRkVXdFemdpTmRzSUJEa2ppZGZhenlHelQ;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:13
          GMT; secure', edgebucket=4FKN8yWLgkR7sEXSxZ; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1744-ORD]
      X-Timer: ['S1505364133.990864,VS0,VE617']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjkh6r.2.1505364133000.Z0FBQUFBQlp1Z2lsczhmRVZSRDlZZXVNVEl5VjNDLV9MQkxYd2ZONUpUU2xfc2I0ZXN2d242bnZSTHJtaGtOQnFnX05tTW5tWUtqOUZlRWJfYVR4X2U3OVQ2VmI1OG1lOFVYUjVtTHZXSW5HRU51cHNhT2lIanV2dUdrOHNYS08wblE3QnluenBFTHI;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:42:13
          GMT; secure', 'session_tracker=F5zEsH1wwnTo7reIJF.0.1505364132997.Z0FBQUFBQlp1Z2lsWFFGT1A5aXpQVlJyRmR5dExtakFDX3BhVUdRVVJIVDNGUkRRdGhPdkpZT0xIcHdoTldPT1A5cDFEOW1rc0ZOQm0yaVdsZUdFdEhsQXhlQTZ6cE9zTkxYYUVDQldDOUhkaWFYTTQzakRkVXdFemdpTmRzSUJEa2ppZGZhenlHelQ;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:13
          GMT; secure', edgebucket=4FKN8yWLgkR7sEXSxZ; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=p2HQAARYwwH9FbKzp%2Fjp9oHqCg18kYPieDjSTwvEiapDUBVRsj%2Fgysl2mA3rYElukpmd7AdmPag%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=4FKN8yWLgkR7sEXSxZ; loid=00000000000drjkh6r.2.1505364133000.Z0FBQUFBQlp1Z2lsczhmRVZSRDlZZXVNVEl5VjNDLV9MQkxYd2ZONUpUU2xfc2I0ZXN2d242bnZSTHJtaGtOQnFnX05tTW5tWUtqOUZlRWJfYVR4X2U3OVQ2VmI1OG1lOFVYUjVtTHZXSW5HRU51cHNhT2lIanV2dUdrOHNYS08wblE3QnluenBFTHI;
          session_tracker=F5zEsH1wwnTo7reIJF.0.1505364132997.Z0FBQUFBQlp1Z2lsWFFGT1A5aXpQVlJyRmR5dExtakFDX3BhVUdRVVJIVDNGUkRRdGhPdkpZT0xIcHdoTldPT1A5cDFEOW1rc0ZOQm0yaVdsZUdFdEhsQXhlQTZ6cE9zTkxYYUVDQldDOUhkaWFYTTQzakRkVXdFemdpTmRzSUJEa2ppZGZhenlHelQ]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://www.reddit.com/comments/571dw3fakeid.json
  response:
    body: {string: '{"message": "Not Found", "error": 404}'}
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Length: ['38']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:16 GMT']
      Server: [snooserv]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1724-ORD]
      X-Timer: ['S1505364136.047386,VS0,VE41']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=F5zEsH1wwnTo7reIJF.0.1505364136062.Z0FBQUFBQlp1Z2lvc3c3ZlRDdnkzTkNrVzdZNUNaS0VnaUNQSWlXRnRGSlNiX2RRWFRaNzE4Z1lZVDNRVWdmU2U1dnJ4MHZqcXozNUdKMjVZVjhjRTRaVVNmZUx2LVV4TGlESTBTd2t0a1IxeHU2d3ZlY2hmdkNfOURJTmJnajFFSlYxSWl3TjVxUEI;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:16
          GMT; secure', 'session_tracker=F5zEsH1wwnTo7reIJF.0.1505364136073.Z0FBQUFBQlp1Z2lvVlktSDY5TjRVU29aR2g3N18tWHlHbEZLQkZ2RnhLblNSTUJucHNRb3BJajhlbnlXSnVrWk9UZHZSaW5VbVoxWl9SMkxzTHZiMmxzeV8yNHZ0OHozdUpIc2hJbHMtZ0dZR2FfWVAtTnFpalpGTkdVYlRVRGJlVUN4dlVNTEVSdUY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:16
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=0fn15AGEEfb4HbzUJn3rALfXoU1ynf8pfviRe6%2F4YAHLjjzHLxoYYUH%2Feq%2Fy3ZlWqL91hAshgn2uPxesp2DnF8Wew2HK78EH']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 404, message: Not Found}
version: 1
